Feature # 4 (In Progress): Ul improvements

Select audio plugin using Audio Settings dialog
2015-07-15 21:20 - skyjake

Status: Closed Start date: 2015-07-15
Priority: Normal % Done: 100%
Assignee: skyjake

Category: Enhancement

Target version: 2.0 — Home Ul & Packages

Description

Now that Snowberry is being removed, the audio plugin selection should be provided at runtime. Ideally Doomsday should
dynamically (un)load the chosen audio plugin, although asking to user to restart is also an option.

Related issues:
Related to Bug #2100: [Windows] FMOD audio plugin missing from 2.0 installation Closed 2015-07-13

Associated revisions

Revision da3d1e34 - 2016-10-16 22:07 - skyjake

Audio|Ul|Client: Selecting audio plugins in the Audio Settings dialog
The preferred audio interfaces are now configured via Config
variables. This can still be overridden with command line options,

in which case the dialog values do not have any effect.

Audio Settings is now available even when a game is not loaded.

The Dummy driver now provides Music and CD interfaces, too, to allow
disabling them individually.

IssuelD #2101

History

#1 - 2015-07-15 21:20 - skyjake
- Related to Bug #2100: [Windows] FMOD audio plugin missing from 2.0 installation added

#2 - 2016-03-27 08:17 - skyjake

- Subject changed from Select audio plugin via taskbar to Select audio plugin via taskbar (in Home)

If the plugin switch is done while in Home, it should be much easier to re-initialize the audio subsystem (it's not being used).

#3 - 2016-07-22 09:08 - skyjake

- Parent task set to #4

#4 - 2016-08-07 08:57 - skyjake

- Assignee set to skyjake

#5 - 2016-08-07 08:59 - skyjake
- Subject changed from Select audio plugin via taskbar (in Home) to Select audio plugin via taskbar (in Audio Settings)

- Status changed from New to In Progress

The plan is to add a simple ChoiceWidget in Audio Settings with instructions to restart Doomsday for the plugin change to take effect.

#6 - 2016-08-07 08:59 - skyjake
- Subject changed from Select audio plugin via taskbar (in Audio Settings) to Select audio plugin using Audio Settings dialog

#7 - 2016-10-16 22:09 - skyjake
- % Done changed from 0 to 80

The only missing feature now is to re-initialize the audio subsystem to switch audio plugins at runtime (at least when a game is not loaded).

#8 - 2016-11-20 09:25 - skyjake
- Status changed from In Progress to Resolved

- % Done changed from 80 to 100

#9 - 2016-11-20 20:14 - skyjake

- Status changed from Resolved to Closed
